Name: switchdesk
Summary: A desktop environment switcher for GNOME, KDE and AnotherLevel.
Version: 3.6
Release: 1j1
Source: %{name}-%{version}.tar.bz2
Copyright: GPL
Group: User Interface/Desktops
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: textutils
Prefix: /usr
ExcludeArch: ia64

%description
The Desktop Switcher is a tool which enables users to easily switch
between various desktop environments that they have installed.  The
tool includes support for GNOME, KDE, and AnotherLevel.  Support for
different environments on different computers is available, as well as
support for setting a global default environment.

Install switchdesk if you need a tool for switching between desktop
environments.

%package kde
Group: User Interface/Desktops
Summary: A KDE interface for the Desktop Switcher.
Requires: kdesupport 
BuildPrereq: qt-devel >= 2

%description kde
The switchdesk-kde package provides the Desktop Switcher with a KDE
look and feel.

%package gnome
Group: User Interface/Desktops
Summary: A GNOME interface for the Desktop Switcher.

%description gnome
The switchdesk-gnome package provides a GNOME look and feel for the
Desktop Switcher program provided in the switchdesk package.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
# pick up $QTDIR
unset QTDIR || : ; . /etc/profile.d/qt.sh
export KDEDIR=%{prefix}
make -f Makefile.cvs
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --disable-path-check --mandir=%{_mandir}
make

%install
export KDEDIR=%{prefix}
make DESTDIR="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{prefix}/bin/switchdesk
%{prefix}/bin/switchdesk-helper
%config(missingok) /etc/X11/applnk/System/switchdesk.desktop
%{prefix}/share/apps/switchdesk
%{_mandir}/man1/switchdesk.1*

%files kde
%defattr(-,root,root)
%{prefix}/bin/switchdesk-kde

%files gnome
%defattr(-,root,root)
%{prefix}/bin/switchdesk-gnome

%changelog
* Thu Aug 31 2000 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild against qt1x with i18n patched.

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Check whether the selected UI actually exists in textmode (Bug #16603)

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add docs for the KDE2 switch on command line (Bug #16743)
- Fix crash in switchdesk-gnome (Bug #16743)
- fix some minor oddities

* Tue Aug 22 2000 Than Ngo <than@redhat.com>
- fix /usr/share/apps/switchdesk/Xclients.kde2 for starting KDE2 correct
 
* Sat Aug 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- minor fix in spec file                                                        

* Wed Aug  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't use KDE2 calls in switchdesk-kde; we're Qt only for now.

* Fri Jul 14 2000 Bill Nottingham <notting@redhat.com>
- defattr

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix up the Xclients.* scripts

* Wed Jul 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- add enlightenment, twm, windowmaker to gnome version, remove AnotherLevel
- fix build with current KDE 2.0
- stop using egcs++
- fix a number of bugs
- ExcludeArch ia64 for now (kdelibs doesn't compile there)

* Fri Jul  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use egcs++ for now

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- add enlightenment, twm, windowmaker to kde version, remove AnotherLevel

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release
- use %%{_mandir}

* Mon May 22 2000 Bill Nottingham <notting@redhat.com>
- update autoconf stuff (ia64)

* Sun Apr  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Port to KDE 2.0
- some spec file tweaks

* Mon Feb 28 2000 Preston Brown <pbrown@redhat.com>
- ignore unknown desktop names

* Mon Feb 14 2000 Preston Brown <pbrown@redhat.com>
- switchdesk works from the console
- minor bugfixes and cleanups
- man page added

* Mon Oct 04 1999 Preston Brown <pbrown@redhat.com>
- make the startup script a bit more probing/robust.

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- convert .kdelnk file to a system-wide .desktop file.

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- added back in switchdesk.kdelnk file (kde still doesn't handle
  .desktop files)

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- fix up X display string handling

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- Xclients scripts installed with execute permission.

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- hardcode path to pidof (/sbin) because it isn't in default path.

* Tue Mar 16 1999 Preston Brown <pbrown@redhat.com>
- converted kdelnk file to desktop file, moved location, removed KDEDIR

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- broke out separate kde, gnome packages.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- new group.

* Wed Feb 03 1999 Preston Brown <pbrown@redhat.com>
- initial revision of spec file.







